Subject: bug#55645: src/print.c; print_object changes make it impossible to compare elisp code across versions

From: Po Lu <[email-masked]>
Date: Sat, 04 Jun 2022 21:30:35 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> I think it might happen more often if the printed representation wasn't
> as ugly.

I find it hard to believe: why would changing the print syntax of
symbols with dots make it more likely for people to use data types that
have type names with those characters?

And if you mean in general, then I don't see the point of using dots in
keywords and function or variable names.

> But we do have a bunch of symbols in-tree that uses dots, too:
>
> (mapatoms (lambda (k) (when (string-match "[.]" (symbol-name k))
>                           (insert (format "%s\n" k)))))
> Lint Directory...
> iso10646.indian-1
> gb2312.1980-0
> cns11643.1992-7
> cns11643.1992-6
> cns11643.1992-5
> cns11643.1992-4
> cns11643.1992-3
> cns11643.1992-2
> cns11643.1992-1
> Reset Counters for Function...
> Instrument Package...
> Lint File...

Most of those are interned from strings (see fc_charset_table in
ftfont.c), and not likely to either be printed or to be written by
users.

Thanks.